Subject: Re: [PATCH, final version] git-archimport: allow remapping branch names

From: Paolo Bonzini <[email-masked]>
Date: Wed, 07 Mar 2007 10:48:52 +0100

> This patch add support to archimport for remapping the branch names
> to match those used in git more closely.  This is useful for
> projects that *migrate* to git (as opposed to users that want
> to use git on Arch-based projects).  For example, one can
> choose a branch name and call it "master".
> 
> The new command-line syntax works even if there is a colon in
> a branch name, since only the part after the last colon is taken
> to be the git name (git does not allow colons in branch names).
> 
> The new feature is implemented so that archives rotated every
> year can also be remapped into a single git archive.

ARGH!

Signed-Off-By: Paolo Bonzini  <[email-masked]>

paolo